#include <cstdio>
#include <cstring>
#include <cmath>

using namespace std;

const int q = 1001, MaxN = 1000;

#pragma pack(1)

struct{ 
  short num;
  char act;
} a_[2*MaxN+1][q], (*a)[q];

int i, j, k, l, n, m, list[1002];
FILE *fi, *fo;

void WriteAns(int _num, int _numact){
  if(!a[_num][_numact].act) return;
  WriteAns(a[_num][_numact].num, _numact-1);
  fprintf(fo, "%c", a[_num][_numact].act);
}

int main(){
  fi = fopen("input.txt", "r");
  fo = fopen("output.txt", "w");
  a = a_ + MaxN;
  memset(a, 0, sizeof(a));
  i = 0;
  while(fscanf(fi, "%i", &list[++i]) == 1){}
  n = i-1; i = 0;
  a[list[1]][0].act = 1;
  for(i = 0; i<=n-3; i++){
    for(j = -MaxN; j<=MaxN; j++){
      if(a[j][i].act){
        m = j + list[i+2];
        if(abs(m) <= MaxN){
          a[m][i+1].act = '+';
          a[m][i+1].num = j;
        }
        m = j - list[i+2];
        if(abs(m) <= MaxN){
          a[m][i+1].act = '-';
          a[m][i+1].num = j;
        }
        m = j * list[i+2];
        if(abs(m) <= MaxN){
          a[m][i+1].act = '*';
          a[m][i+1].num = j;
        }
        if(list[i+2] == 0) continue;
        m = j / list[i+2];
        if(abs(m) <= MaxN){
          a[m][i+1].act = '/';
          a[m][i+1].num = j;
        }
      }
    }
  }
  a[list[1]][0].act = 0;
  if(a[list[n]][n-2].act){
    WriteAns(list[n], n-2);
  }else{
    fprintf(fo, "IMPOSSIBLE");
  }
  fclose(fi);
  fclose(fo);
  return 0;
}